Bug 213177 - Include Firefox 2.0 in Fc6
Include Firefox 2.0 in Fc6
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-30 21:19 EST by Dustin Ratliffe
Modified: 2007-11-30 17:11 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 22:03:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dustin Ratliffe 2006-10-30 21:19:38 EST
At present, there are no plans to release Firefox 2.0 as an update to Fedora
Core 6. However, many users want Firefox 2.0 in Fc6. Some extensions require
Firefox 2.0 (e.g., Zotero).

The purpose of this bug report is tp arrive at a recommendation for those that
wish to install Firefox 2.0 on Fc6 so that we can document it at
http://fedoraproject.org/wiki/Bugs/FC6Common (This is a common issue and
deserves to have a documented solution.)

There are several efforts underway to make FF2 available on Fc6:

1. Gawain Lynch submitted a package for review for a parallel install of FF2
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=211807
https://www.redhat.com/archives/fedora-devel-list/2006-October/msg00582.html
See Caillon's reply in that thread.

2. Rémi Collet has made a backport of Firefox 2 that replaces FF1.5
http://remi.collet.free.fr/index.php?2006/10/25/225-firefox-20-1
http://article.gmane.org/gmane.linux.redhat.fedora.general/213667

3. Martin Sourada created an RPM for an FF2 that coexists with FF1.5
http://www.fedoraforum.org/forum/showthread.php?t=134143&highlight=martin

4. Install the RPM directly from mozilla.org

5. Enable the development repo to update firefox, e.g.,
[bash]$ sudo yum --enablerepo=development update firefox
http://forums.fedoraforum.org/showpost.php?p=662808&postcount=29

See also:
http://article.gmane.org/gmane.linux.redhat.fedora.general/212728

Hopefully, from the above options, or others, we can pick one to document as a
workaround at http://fedoraproject.org/wiki/Bugs/FC6Common
Comment 1 Christopher Aillon 2006-10-30 22:03:01 EST
There is a false pretense that many users want Firefox 2.  Most people don't
know what versions are what.  Upstream implemented the auto update feature
because *most people don't care* what version they use, as long as it works. 
They'll update if something tells them to.  Not because they know or want to.

Just because a few people who understand packaging have made packages does not
mean that everyone wants it.  In fact,
http://listvine.com/2006/10/25/9-reasons-not-to-upgrade-to-firefox-20/ outlines
reasons to not upgrade.  (although 2,4,6, and 7 are the ones in the list I
actually care about).  And I outlined other reasons in the mail you quoted earlier.

Simply put, having Firefox 1.5 instead of 2.0 is *not a bug*.  Please stop
pretending it is, and please stop pretending that the entire user base wants it.
 People want something that work, and right now, that is Firefox 1.5.
Comment 2 Andre Robatino 2006-10-31 00:55:14 EST
  In defense of the first poster, I think you're mostly talking about Windows
users.  Most people savvy enough to run Fedora know something about the
difference between 1.5 and 2 - after all, Fedora is supposed to have
cutting-edge software.  I can understand not wanting to push 2.0 immediately,
but it would be nice to at least learn whether there are plans to release any
version higher than 1.5 in the roughly 10-month lifespan of FC6.

  Also, this bug would almost certainly have been posted as "enhancement" if
that option had not recently been dropped.  This is a qualitatively different
type of "bug" and it doesn't make sense to try to shoehorn all bugs into a
1-dimensional scale.
Comment 3 Christopher Aillon 2006-10-31 02:10:00 EST
My reaction to this being called a "bug" was due to the fact that the poster
wants this documented on the "known FC6 bugs" wiki page.  The lack of a version
number does not warrant a release note.

As far as Fedora Users, you are right.  Everyone wants to be bleeding edge, but
nobody really wants to be bleeding edge (using rawhide).  People use FCn because
they want it to stabilize at some point with a system that works.  But people
seem to also think they are entitled to have every application updated when
there's a new version out.  I don't get it, really.  People do want something. 
Is it a certain feature(s) that can be backported perhaps?  Or is it really just
the version number?  (What's the difference between 1.5 and 2?  0.5, haha). 
Seriously, though I suppose it's just the firefox version number: there have
been bugs filed where things broke because people *only* ever do things like
"yum update firefox", and not core system libraries like nss.  This is both
humbling and frightening because I'm working both sides of the fence.

I care about Firefox.  I've submitted many patches and fixed many bugs upstream.
 I've worked with many of the developers whilst at Netscape and remain good
friends with many of the developers.  But I care more about Fedora and Red Hat
and Linux in general.  If there's a compelling reason to switch to Firefox 2,
I'd do so, but it's really not compelling to do so.  In fact, it's compelling to
avoid it at the moment.  Users *are* better off with 1.5 right now, but that
will probably change.  At that point, Firefox 3.0 will be out soon and *that*
has *enormous* benefits.

Firefox 3.0 will have full blown cairo support which will fix many rendering and
printing bugs.  It will also be compatible with XULrunner which will allow for
one gecko on the system.  That means less updating for security fixes -- only
get one package instead of 3 and up depending on installed packages. 
Additionally, it is a real development platform.  No need for silly hacks to
Firefox to turn it into one, when it's not.  This in turn means that extensions
can be RPM packaged for both Thunderbird and Firefox.

There are other benefits but those alone make it extremely valuable for Fedora.
 I have promised publicly I will push 3.0 to FC6 when its available with proper
baking.  So I guess that's the current plan.  Things might be that I take 2.0 if
cards fall into play for it, but I'd say 3.0 is the better bet (and I'm already
committed to it).
Comment 4 Christopher Aillon 2006-10-31 02:15:33 EST
Perhaps the compromise is to push to updates-testing... and just leave it in
testing.  That doesn't sound too fun because it's yet another package I need to
touch for FC6 when I don't think it belongs in FC6 at all, plus it forces users
to take other packages in updates-testing they might not want....
Comment 5 Kevin Kofler 2006-11-02 15:35:06 EST
Wouldn't that also force all Gecko-using packages in updates-testing to get 
built against 2.0, and thus impossible to push without pushing Firefox 2.0 
first? In that case, pushing it to updates-testing with no plans to move it to 
updates is certainly a bad idea.
Comment 6 Christopher Aillon 2006-11-02 16:36:54 EST
I could finagle the buildroots, but it would get tedious.  Especially since
people would inevitably file bugs against it.
Comment 7 Michael Cronenworth 2006-11-07 11:05:32 EST
Inline spellcheck, enhanced add-on support, and the fact that all new extensions
might only work for 2.0 is not a compelling enough reason to put 2.0 in FC6?
Just because a few Red Hat developers don't want to? Seems like Fedora is not as
"community oriented" as we are lead to believe. Leave Fedora to the users - not
RedHat.
Comment 8 David Morris 2006-11-08 08:23:46 EST
I am quite happy with 2.0 on Windows, as the above poster mentions there are
some useful features that I don't want to give up when moving between 2.0 on
Windows and 1.5 on FC6.  I also detect a slight performance improvement on
Windows, although it's hard to quantify -- it just seems a bit snappier.  All of
my favorite plugins have been updated by now as well.

As for the aforementioned page about "9 Reasons Not to Upgrade to Firefox 2.0,"
I have only experienced a problem with very infrequent freezes.  As in 2 or 3
times during the past couple of weeks of HEAVY use.  Annoying yes, but 1.5 also
would crash on me ocassionally, and then I had to find a task and kill it.  2.0
seems to  clean itself up after a freeze so that all I have to do is re-launch
it.  Of course, again, this is my Windows experience with 2.0, not Linux.  But
I'm much more interested in upgrading to 2.0 on FC6 than waiting for 3.0.  I'll
be employing one of the above workarounds here in a few minutes.
Comment 9 Stefan Neufeind 2006-11-11 16:01:49 EST
I'd also appreciate firefox2 in FC6. Various extensions already demand it!
Comment 10 Stephanie Erin Daugherty 2006-11-13 06:19:02 EST
I'd tend to agree that this is needed as an update to fc6, depreciating 1.5.x
for the simple reason that many firefox extensions tend to only support the
version that's current when they release.

I realize that there are problems with it, but there's also signifigant user
demand, which will only grow as extension support for 1.5.X falls away.

Please reconsider.
Comment 11 Andre Robatino 2006-11-13 06:22:23 EST
  I noticed that the security issues leading to the release of 1.5.0.8 didn't
affect 2.0.  If there's reason to believe that 1.5.x is likely to require more
updates than 2.0, that's another consideration.
Comment 12 Paul Black 2006-11-13 08:07:25 EST
From http://www.mozilla.com/en-US/firefox/all-older.html:
"Firefox 1.5.0.x will be maintained with security and stability updates until
April 24, 2007".

Since the last three versions have Fedora haven't followed the 6 month release
cycle, what impact will this have on Firefox 1.5.0.x in Fedora?
Comment 13 Nicolas Balsan 2006-11-22 18:56:50 EST
Firefox 2 have a mighty feature that some people find very, very interesting :
the fact that when the browser crash, it restores my session with all the tabs
that were opened before the crash.

That thing alone made FF2 worthy for me. And yes, Firefox (be it 1.5 or 2) crash
does happen, for me. So, when it happens, it's better if it restores my tabs.

I don't understand all this hostility against Firefox 2 and all those arguments
like "it breaks my extensions". You know what ? Fedora Core breaks things more
important than extensions. It broke my wifi driver (that is not in the kernel
from  kernel.org), and i won't complain. Because it's a bleeding edge
distribution, that pushes new technologies forward.

Each version of Fedora Core breaks more applications and kernel drivers than
Firefox 2 will break user extensions. Many important extensions like adblock
works in Firefox 2.
Fedora Core always have the latest glibc, gcc, kernel and all the core tools. So
if you have an application that's not included in Core or maintened in Extras,
there's a fair percentage of luck that it WILL break. Why are Firefox extensions
considered more important than user applications or device drivers ?
Comment 14 Stefan Neufeind 2006-11-22 19:03:14 EST
Nicolas, about your point with crash recovery: Try out the extension "Tab mix
plus" (https://addons.mozilla.org/firefox/1122/). That one is great, and also
features crash-recovery with FF 1.5 already.
Comment 15 Christopher Aillon 2006-11-23 23:02:42 EST
You have to realize that there are more things than extensions that rely on
Firefox.  For example, epiphany, devhelp, the GNOME help browser (yelp),
eclipse, etc.  Some random other companies have applications they build against
the browser, too, for embedding gecko.  If it were just extensions, that's fine,
people can update.  But it's not.  Firefox is not just a browser in FC6.  It is
an entire platform stack.  It needs to perform the desktop app function and the
middleware function.  And that is just hard to balance properly.
Comment 16 Dmitriy Kropivnitskiy 2007-01-19 14:35:05 EST
I don't see why people react to this bug so violently. Yes, most users don't
care what version they are using as long as everything works. Some people
actually do care, and the longer firefox 2 is around the more cases are going to
come up where something just doesn't work on 1.5.x (some extensions already
don't work on anything below 2.x). I also understand the point of not making
major changes inside the release. As I understood the original poster, all he
wanted to do is to add a clear directions on how to get firefox 2.x for someone
who wants/needs it. What exactly is wrong with that?
Comment 17 Kevin Kofler 2007-01-19 15:24:06 EST
> For example, epiphany, devhelp, the GNOME help browser (yelp), eclipse, etc.

Rémi Collet rebuilt all these against 2.0 and they work, so I don't see what's 
the problem there. Having to push an update for these? That has to be done for 
a minor bump (like 1.5.0.8 or 1.5.0.9) too.
Comment 18 steve 2007-01-21 03:13:30 EST
I would like like to have to wait for FF3 to get the features in FF2 (Windows)
that I really like. Such as the close icon (red X) on each tab.
Comment 19 steve 2007-01-21 03:14:52 EST
I would NOT like to have to wait for FF3 to get the features in FF2 (Windows)
that I really like. Such as the close icon (red X) on each tab
Comment 20 Kevin Kofler 2007-01-22 02:10:38 EST
Then get Firefox 2 from Rémi Collet's repo, that's what it is for. ;-)
Comment 21 Andrey 2007-03-13 09:23:46 EDT
It is March on the street and soon we will see end of 1.5 branch support.
Perhaps we should think again on update ? Christopher, please say out.
Comment 22 Christoph Trassl 2007-04-19 10:17:06 EDT
Mozilla.org announced end of life for Firefox 1.5 to be April 27, 2007. 
http://www.mozilla.com/en-US/firefox/all.html

What about all those FC6 Installations then? 
Will Firefox 2.x be available via normal OS Updates?

Firefox in fact was the application that caused me to dump Ubuntu after one
week, about two years ago. It was Firefox 1.5.0.7 with Javascript security
issues fixed I think, and the only way to get a new packages was to look for
backports, but NOT in Ubuntu updates. They took three weeks to publish a new
version. And Ubuntu wanted to be the Linux for the masses. Huhuuu.

Should people think about Fedora the same way?

Please Christopher, think about it.

Thanks in advance.
Comment 23 steve 2007-04-19 17:06:08 EDT
Is someone with a brain announcing end of life for Firefox 1.5 and no support
for 2.0?
Comment 24 Christopher Aillon 2007-04-19 17:25:19 EDT
If you are using the RPM packages, then the EOL does not affect you.  Your
support comes from Fedora, which will not EOL anything in the FC6 line for a
long time.  And then, support will be transfered to Legacy.  This is the way it
works for all of the packages in the distro.

Updates are still going to come from Fedora and Red Hat with help from Mozilla
Corporation.  Additionally, IBM, Novell, Debian, and others have interests in
and have agreed to continue maintaining 1.5 still and will contribute resources
to it.
Comment 25 steve 2007-04-19 19:58:22 EDT
Last I heard, FC6 has no support for Firefox 2.x
Comment 26 wdc 2007-07-27 08:17:58 EDT
People are being referred to this bug for references on why RHEL will not support Firefox 2.0.
The strongest case for that state of affairs may be made in the "Reasons not to upgrade" page.
Unfortunately the link to it:
http://listvine.com/2006/10/25/9-reasons-not-to-upgrade-to-firefox-20/
is BROKEN, so people cannot get that information any more.

Note You need to log in before you can comment on or make changes to this bug.